---
title: Import from Google Photos
description: Migrating your existing photos from Google Photos to Ente Photos
---

# Import from Google Photos

Follow the following steps to recover your data from Google Photos and preserve
it with Ente.

### Steps

1. Open [takeout.google.com](https://takeout.google.com).

2. Click on "Deselect All" (since by default all Google services are selected).

    ![Google Takeout - Create a new export](google-photos-1.png)

3. Scroll down to find Google Photos in the list and select it by clicking the
   check box next to it.

    ![Google Takeout - Select Google Photos](google-photos-2.png)

4. Click on the button that says "All photo albums included".

5. Select the albums you want to export.

    ![Google Takeout - Select albums](google-photos-3.png)

6. Scroll down and click on "Next Step".

    ![Google Takeout - Next](google-photos-4.png)

7. Select "Frequency" and "File size" depending on the amount of storage on your
   system and click on "Create export". Make sure you select ZIP as the format.

    ![Google Takeout - Frequency and file size](google-photos-5.png)

8. Wait for Google to send you your data.

9. Open [our desktop app](https://ente.io/download/desktop), click on "Upload",
   select "Google takeout" and pick the ZIP file you just downloaded. If you
   were provided with multiple ZIP files, please extract **all** the ZIP files
   into one folder and select that folder instead.

> While the app supports uploading multiple ZIPs too, we recommend unzipping
> them all into a single folder and uploading that folder instead so that your
> photo dates are imported properly
> ([details](/photos/faq/metadata#importing-from-google-takeout)).
>
> <br />
>
> Note that you can still preserve your albums even when uploading a single
> folder - select the create new album option and the app will ask you if you
> want to put each leaf folder into a separate album
> ([details](/photos/features/albums#uploading-a-nested-folder)).

![Importing Google Takeout into Ente](google-takeout.png){width=400px}

10. Wait for the uploads to complete as Ente parses the metadata generated by
    Google, and preserves them along with the corresponding files, end-to-end
    encrypted!

---

In case your uploads get interrupted, just drag and drop the file again and we
will ignore already backed up files and upload just the rest.

If you run into any issues during this migration, please reach out to
[support@ente.io](mailto:support@ente.io) and we will be happy to help you!

> [!TIP]
>
> In case you wish to use face recognition and other advanced search features
> provided by Ente, we recommend that you enable
> [machine learning](/photos/features/machine-learning) before importing your
> photos so that the Ente app can directly index files as they are getting
> uploaded.
